# Installation #

## Get the files ##

The repository contains a subfolder *public_html*. Run `git clone` or extract the downloaded archive 1 level above webroot. The document root of the web must point
to the public_html directory. The config folder is outside the webroot.

```text
.
├── config
│   ├── aliases.json.dist
│   └── redirects_domain.example.com.json.dist
├── docs
│   ├── ...
|   └── ... 
├── public_html
│   ├── admin.php
│   ├── classes
│   │   ├── redirect.admin.class.php
│   │   ├── redirect.admin.class.php_enabled.txt.dist
│   │   └── redirect.class.php
│   └── index.php
└── readme.md
```

## Redirect all requests to index.php ##

Redirect all requests to the index.php. Activate the .htaccess or (better)
add the config to the vhost config.

```text
RewriteEngine On
RewriteBase /
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^.*$ /index.php [L]
```

In the DNS point all hostnames with redirects only to this server (i.e. with 
a CNAME).

If you don't have a single vhost in the webserver then additionally add the
domains to "catch" as ServerAlias.
