/**
 * ======================================================================
 * 
 * IML REDIRECT :: JAVASCRIPT FUNCTIONS
 * 
 * ----------------------------------------------------------------------
 * 2022-05-23  ah  v0.1   initial version
 * ======================================================================
 */


// ----------------------------------------------------------------------
// CONFIG
// ----------------------------------------------------------------------

let divOut="divoverlay";

// ----------------------------------------------------------------------
// FUNCTIONS
// ----------------------------------------------------------------------

/**
 * show given html code in overlay
 * @param {string} body  html code to display
 */
async function show(body){
    oDiv=document.getElementById(divOut);
    oDiv.innerHTML='<div>'+body+'</div>';
    oDiv.style.display='block';
}

/**
 * show content of a url in the overlay
 * @param {object} oLink  link object; in a tag use this to reference itself
 */
async function showInOverlay(oLink){
    show(
      '<h2>Please wait ...</h2>'
      +'<p>Requesting data...<div class="spin"></div></p>'
    );
    let response = await fetch(oLink.href);
    let body = await response.text(); // read response body as text


    if (response.ok) {
      show(body);
    } else {
      show("HTTP-Error: " + response.status);
    }
    
}



// ----------------------------------------------------------------------
// page init
// ----------------------------------------------------------------------

// init datatable
$(document).ready( function () {
    $('.mydatatable').DataTable({
        "lengthMenu": [[10, 25, 50, 100, -1], [10, 25, 50, 100, "All"]],
        stateSave: true
    });
} );

// ----------------------------------------------------------------------